Get a server response

View as Markdown
Gets information about a server response.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

mockIdstringRequired
The mock's ID.
serverResponseIdstringRequired
The server response's ID.

Response

Successful Response
createdAtdatetimeOptional
The date and time at which the server response was created.
updatedAtdatetimeOptional
The date and time at which the server response was last updated.
idstringOptional
The server response's ID.
namestringOptional
The server response's name.
statusCodedoubleOptional
The server response's 5xx HTTP response code.
headerslist of objectsOptional

The server response’s request headers key-value pairs, such as Content-Type, Accept, encoding, and other information.

languagestringOptional
The server response's body language type.
bodystringOptional
The server response's body that returns when calling the mock server.
createdBystringOptional
The user ID of the user who created the server response.
updatedBystringOptional
The user ID of the user who last updated the server response.
mockstringOptional
The associated mock server's ID.

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error